## org.omg.PortableServer.POAPackage
Class InvalidPolicy

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.PortableServer.POAPackage.InvalidPolicy

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class InvalidPolicy
extends UserException

Exception definition : InvalidPolicy

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`short` `index` Exception member index

Constructor Summary
`InvalidPolicy()` Default constructor
`InvalidPolicy(short index)` Constructor with fields initialization
`InvalidPolicy(java.lang.String orb_reason, short index)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    public short index

  Exception member index

Constructor Detail

### InvalidPolicy

    public InvalidPolicy()

  Default constructor

### InvalidPolicy

    public InvalidPolicy(short index)

  Constructor with fields initialization
  Parameters:
    `index` - index exception member

### InvalidPolicy

    public InvalidPolicy(java.lang.String orb_reason,
                         short index)

  Full constructor with fields initialization
  Parameters:
    `index` - index exception member